Recent

Author Topic: Incompatible ppu annoyance  (Read 259 times)

GetMem

  • Hero Member
  • *****
  • Posts: 3757
Incompatible ppu annoyance
« on: July 16, 2020, 03:36:54 pm »
The issue is FPC 3.2.0 specific. We discussed many times with forum user @avra, I also mentioned in the mailing/dev. list. Nobody could come up with an explanation or/and a solution.

1. Short description:
We have two interdependent packages A and B(B depends on A). After package A is compiled, Lazarus/FPC tries to compile package B. At some point, a warning message appears: "Checksum changed for unit X(package A), recompiling package A", then immediately after: " Fatal error, invalid ppu for unit X". The issue sometimes only occur on IDE rebuild. A typical example is the BGRABitmap, BGRAControls pair. I also checked the documentation about "invalid ppu", but I'm no closer to the solution. There is nothing invalid about x.ppu, if I insist and rebuild package A and B again(sometimes more then once), the compile/install finally is successful.

2. Step to reproduce
Install BGRABitmap and BGRAControls with OPM(Lazarus 2.0.10/FPC 3.2.0). Please note, the problem has nothing to do with OPM, if you download the packages manually same thing happens.

Since I did not see the issue with FPC 3.0.4, I suspect something changed in FPC 3.2.0. I really love to hear some explanation and if it's possible a solution.
« Last Edit: July 16, 2020, 03:56:20 pm by GetMem »

circular

  • Hero Member
  • *****
  • Posts: 3451
    • Personal webpage
Re: Incompatible ppu annoyance
« Reply #1 on: July 23, 2020, 07:06:41 pm »
There may be a solution to that:
https://forum.lazarus.freepascal.org/index.php/topic,24176.msg370833.html#msg370833

Moving BGLControls to a separate folder.
Conscience is the debugger of the mind

 

TinyPortal © 2005-2018